Bug 1939145 (CVE-2021-3476) - CVE-2021-3476 OpenEXR: Undefined-shift in Imf_2_5::unpack14
Summary: CVE-2021-3476 OpenEXR: Undefined-shift in Imf_2_5::unpack14
Keywords:
Status: NEW
Alias: CVE-2021-3476
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1939171 1944372 1944371 1944373 1944374
Blocks: 1929339 1944370
TreeView+ depends on / blocked
 
Reported: 2021-03-15 17:25 UTC by Michael Kaplan
Modified: 2021-09-29 17:36 UTC (History)
6 users (show)

Fixed In Version: OpenEXR 3.0.0-beta, OpenEXR 2.4.3
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in OpenEXR's B44 uncompression functionality. An attacker who is able to submit a crafted file to OpenEXR could trigger shift overflows, potentially affecting application availability.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Michael Kaplan 2021-03-15 17:25:53 UTC
Undefined-shift in Imf_2_5::unpack14

Comment 1 Michael Kaplan 2021-03-15 17:25:57 UTC
External References:

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=24787

Comment 2 Michael Kaplan 2021-03-15 17:40:29 UTC
Created OpenEXR tracking bugs for this issue:

Affects: fedora-all [bug 1939171]

Comment 3 Todd Cullum 2021-03-29 19:23:52 UTC
Flaw Summary:

In OpenEXR/IlmImf/ImfB44Compressor.cpp, bitwise shift calculations could result in undesired unsigned integer wraparounds. The upstream patch modifies these calculations to ignore the unused bits.

Comment 7 Cary Phillips 2021-04-23 01:23:09 UTC
This is fixed in OpenEXR v2.5.4, v2.5.5, and v3.0.1+.


Note You need to log in before you can comment on or make changes to this bug.